geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "David Jencks (JIRA)" <>
Subject [jira] Commented: (GERONIMO-5357) Run ActiveMQ 5.4 in Geronimo 2.2?
Date Tue, 01 Jun 2010 06:44:36 GMT


David Jencks commented on GERONIMO-5357:

This is not an activemq problem.  Geronimo 2.2 doesn't deal well with url schemes at the start
of jndi names.  It treats them as part of the first name segment, so java:comp/EJBContext
has first name component "java:comp" rather than "comp" as is correct.  The geronimo code
is assuming everything is bound under java:comp.  I suspect that the openejb code you are
using is binding comp/EJBContext which would produce this error.

Openejb trunk has been changed to correctly bind stuff like comp/EJBContext, but this will
not work with 2.2.  Can you check what is in the openejb version you are using?  MDBInstanceFactory
line 188.

> Run ActiveMQ 5.4 in Geronimo 2.2?
> ---------------------------------
>                 Key: GERONIMO-5357
>                 URL:
>             Project: Geronimo
>          Issue Type: Bug
>      Security Level: public(Regular issues) 
>          Components: ActiveMQ
>    Affects Versions: 2.2.1
>            Reporter: Kevan Miller
>             Fix For: 2.2.1
>         Attachments: amq54.patch
> I'd like to be able to run ActiveMQ 5.4-SNAPSHOT can run in Geronimo 2.2.1. AMQ 5.4 contains
some fixes that it would be nice to pick up. 
> Will use this Jira to track the associated changes.

This message is automatically generated by JIRA.
You can reply to this email to add a comment to the issue online.

View raw message